# Uses of Class
com.fasterxml.jackson.core.json.DupDetector

Packages that use DupDetector
Package
Description
com.fasterxml.jackson.core.json
JSON-specific parser and generator implementation classes that Jackson defines and uses.

## Uses of DupDetector in com.fasterxml.jackson.core.json

Fields in com.fasterxml.jackson.core.json declared as DupDetector
Modifier and Type
Field
Description
`protected DupDetector`
JsonReadContext.`_dups`
`protected DupDetector`
JsonWriteContext.`_dups`
Methods in com.fasterxml.jackson.core.json that return DupDetector
Modifier and Type
Method
Description
`DupDetector`
DupDetector.`child()`
`DupDetector`
JsonReadContext.`getDupDetector()`
`DupDetector`
JsonWriteContext.`getDupDetector()`
`static DupDetector`
DupDetector.`rootDetector(JsonGenerator g)`
`static DupDetector`
DupDetector.`rootDetector(JsonParser p)`
Methods in com.fasterxml.jackson.core.json with parameters of type DupDetector
Modifier and Type
Method
Description
`static JsonReadContext`
JsonReadContext.`createRootContext(int lineNr, int colNr, DupDetector dups)`
`static JsonReadContext`
JsonReadContext.`createRootContext(DupDetector dups)`
`static JsonWriteContext`
JsonWriteContext.`createRootContext(DupDetector dd)`
`JsonReadContext`
JsonReadContext.`withDupDetector(DupDetector dups)`
`JsonWriteContext`
JsonWriteContext.`withDupDetector(DupDetector dups)`
Constructors in com.fasterxml.jackson.core.json with parameters of type DupDetector
Modifier
Constructor
Description
``
`JsonReadContext(JsonReadContext parent, int nestingDepth, DupDetector dups, int type, int lineNr, int colNr)`
``
`JsonReadContext(JsonReadContext parent, DupDetector dups, int type, int lineNr, int colNr)`
Deprecated.
`protected`
`JsonWriteContext(int type, JsonWriteContext parent, DupDetector dups)`
`protected`
`JsonWriteContext(int type, JsonWriteContext parent, DupDetector dups, Object currValue)`